# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "slack-morphism-hyper"
version = "0.7.3"
authors = ["Abdulla Abdurakhmanov <me@abdolence.dev>"]
include = ["Cargo.toml", "src/**/*.rs", "../../README.md", "../../LICENSE"]
description = "Slack Morphism Hyper/Tokio support library"
homepage = "https://github.com/abdolence/slack-morphism-rust"
documentation = "https://docs.rs/slack_morphism"
readme = "../../README.md"
keywords = ["slack", "client"]
categories = ["api-bindings"]
license = "Apache-2.0"
repository = "https://github.com/abdolence/slack-morphism-rust"
[package.metadata.release]
disable-tag = true

[lib]
name = "slack_morphism_hyper"
path = "src/lib.rs"
[dependencies.base64]
version = "0.13"

[dependencies.bytes]
version = "1.0"

[dependencies.futures]
version = "0.3"

[dependencies.futures-util]
version = "0.3"

[dependencies.hex]
version = "0.4"

[dependencies.hyper]
version = "0.14"
features = ["full"]

[dependencies.hyper-rustls]
version = "0.22"

[dependencies.lazy_static]
version = "1.4"

[dependencies.log]
version = "0.4"

[dependencies.mime]
version = "0.3"

[dependencies.ring]
version = "0.16"

[dependencies.rsb_derive]
version = "0.4"

[dependencies.rvstruct]
version = "0.2"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_with]
version = "1.6"

[dependencies.slack-morphism]
version = "^0.7.3"

[dependencies.slack-morphism-models]
version = "^0.7.3"

[dependencies.tokio]
version = "1.3"
features = ["full"]

[dependencies.tokio-stream]
version = "0.1.4"

[dependencies.url]
version = "2.2"
